Qt API | Qtopia API | Qtopia Documentation |

# QWSMouseHandler Class Reference

Mouse driver/handler for Qt/Embedded. More...

`#include <qwsmouse_qws.h>`

Inherits QObject.

List of all member functions.

## Public Members

- QWSMouseHandler ()
- virtual ~QWSMouseHandler ()
- virtual void clearCalibration ()
- virtual void calibrate ( QWSPointerCalibrationData * )
- virtual void getCalibration ( QWSPointerCalibrationData * )

## Signals

- void mouseChanged ( const QPoint & pos, int bstate )

## Detailed Description

Mouse driver/handler for Qt/Embedded

The mouse driver/handler handles events from system devices and generates mouse events.

A QWSMouseHandler will usually open some system device in its constructor, create a QSocketNotifier on that opened device and when it receives data, it will call mouseChanged() to send the event to Qt/Embedded for relaying to clients.

## Member Function Documentation

### QWSMouseHandler::QWSMouseHandler ()

Constructs a mouse handler. This becomes the primary mouse handler.

Note that once created, mouse handlers are controlled by the system and should not be deleted.

### QWSMouseHandler::~QWSMouseHandler ()`[virtual]`

Destructs the mouse handler. You should not invoked this directly.

This file is part of the Qtopia , copyright © 1995-2002 Trolltech, all rights reserved.